Rotate an API key's secret for the current organization.
Rotate an API key's secret for the current organization — Competitor Tracker & Co. API reference for POST /v1/api-keys/{id}/regenerate: request parameters.
Required role: member or higher (organization-level).
Required scope: account:write (for both OAuth2 tokens and API keys).
X-API-Key<token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://api.competitortracker.io/v1/api-keys/0190f3c1-7a2b-7c3d-8e4f-1a2b3c4d5e6f/regenerate"{
"id": "string",
"name": "string",
"scopes": [
"string"
],
"expiresAt": "string",
"createdAt": "string",
"secret": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}Revoke an API key for the current organization. DELETE
Revoke an API key for the current organization — Competitor Tracker & Co. API reference for DELETE /v1/api-keys/{id}: request parameters, request body.
List an API key's usage log, newest first. GET
List an API key's usage log, newest first — Competitor Tracker & Co. API reference for GET /v1/api-keys/{id}/usage: request parameters, request body, response.